Skip to main content

Classic environment v2

  • Reference

Documentation of the Dynatrace Environment API v2. Resources here generally supersede those in v1. Migration of resources from v1 is in progress.

If you miss a resource, consider using the Dynatrace Environment API v1.

To read about use cases and examples, see Dynatrace Documentation.

Notes about compatibility:

  • Operations marked as early adopter or preview may be changed in non-compatible ways, although we try to avoid this.
  • We may add new enum constants without incrementing the API version; thus, clients need to handle unknown enum constants gracefully.
Version 8
npm install @dynatrace-sdk/client-classic-environment-v2

Types​

AWSKeyBasedCredentialsDto​

A credentials set of the AWS_MONITORING_KEY_BASED type.

NameTypeDescription
accessKeyID*requiredstringAccess Key ID of the credentials set.
allowContextlessRequestsbooleanAllow ad-hoc functions to access the credential details (requires the APP_ENGINE scope).
allowedEntitiesArray<CredentialAccessData>The set of entities allowed to use the credential.
awsPartition*required"CHINA" | "DEFAULT" | "US_GOV"AWS partition of the credential.
descriptionstringA short description of the credentials set.
idstringThe ID of the credentials set.
name*requiredstringThe name of the credentials set.
ownerAccessOnlybooleanThe credentials set is available to every user (false) or to owner only (true).
scopeDEPRECATED"EXTENSION" | "SYNTHETIC" | "APP_ENGINE" | "EXTENSION_AUTHENTICATION"The scope of the credentials set.
scopes*requiredArray<"EXTENSION" | "SYNTHETIC" | "APP_ENGINE" | "EXTENSION_AUTHENTICATION">

The set of scopes of the credentials set.

Limitations: CredentialsScope.APP_ENGINE is only available on the new Dynatrace SaaS platform - it's not available on managed or non-Grail SaaS environments.

secretKey*requiredstringSecret access key of the credential.
type*required"CERTIFICATE" | "PUBLIC_CERTIFICATE" | "TOKEN" | "USERNAME_PASSWORD" | "AWS_MONITORING_KEY_BASED" | "AWS_MONITORING_ROLE_BASED" | "SNMPV3"

Defines the actual set of fields depending on the value. See one of the following objects:

  • CERTIFICATE -> CertificateCredentials
  • PUBLIC_CERTIFICATE -> PublicCertificateCredentials
  • USERNAME_PASSWORD -> UserPasswordCredentials
  • TOKEN -> TokenCredentials
  • SNMPV3 -> SNMPV3Credentials
  • AWS_MONITORING_KEY_BASED -> AWSKeyBasedCredentialsDto
  • AWS_MONITORING_ROLE_BASED -> AWSRoleBasedCredentials

AWSRoleBasedCredentials​

A credentials set of the AWS_MONITORING_ROLE_BASED type.

NameTypeDescription
accountID*requiredstringAmazon account ID of the credential.
allowContextlessRequestsbooleanAllow ad-hoc functions to access the credential details (requires the APP_ENGINE scope).
allowedEntitiesArray<CredentialAccessData>The set of entities allowed to use the credential.
descriptionstringA short description of the credentials set.
iamRole*requiredstringThe IAM role name of the credentials set.
idstringThe ID of the credentials set.
name*requiredstringThe name of the credentials set.
ownerAccessOnlybooleanThe credentials set is available to every user (false) or to owner only (true).
scopeDEPRECATED"EXTENSION" | "SYNTHETIC" | "APP_ENGINE" | "EXTENSION_AUTHENTICATION"The scope of the credentials set.
scopes*requiredArray<"EXTENSION" | "SYNTHETIC" | "APP_ENGINE" | "EXTENSION_AUTHENTICATION">

The set of scopes of the credentials set.

Limitations: CredentialsScope.APP_ENGINE is only available on the new Dynatrace SaaS platform - it's not available on managed or non-Grail SaaS environments.

type*required"CERTIFICATE" | "PUBLIC_CERTIFICATE" | "TOKEN" | "USERNAME_PASSWORD" | "AWS_MONITORING_KEY_BASED" | "AWS_MONITORING_ROLE_BASED" | "SNMPV3"

Defines the actual set of fields depending on the value. See one of the following objects:

  • CERTIFICATE -> CertificateCredentials
  • PUBLIC_CERTIFICATE -> PublicCertificateCredentials
  • USERNAME_PASSWORD -> UserPasswordCredentials
  • TOKEN -> TokenCredentials
  • SNMPV3 -> SNMPV3Credentials
  • AWS_MONITORING_KEY_BASED -> AWSKeyBasedCredentialsDto
  • AWS_MONITORING_ROLE_BASED -> AWSRoleBasedCredentials

AbstractCredentialsResponseElement​

Credentials set.

NameTypeDescription
credentialUsageSummary*requiredArray<CredentialUsageHandler>The list contains summary data related to the use of credentials.
description*requiredstringA short description of the credentials set.
externalVaultExternalVaultConfigConfiguration for external vault synchronization for username and password credentials.
idstringThe ID of the credentials set.
name*requiredstringThe name of the credentials set.
owner*requiredstringThe owner of the credential (user for which used API token was created).
ownerAccessOnly*requiredbooleanFlag indicating that this credential is visible only to the owner.
scope"ALL" | "EXTENSION" | "SYNTHETIC" | "UNKNOWN"The scope of the credentials set.
type*required"CERTIFICATE" | "PUBLIC_CERTIFICATE" | "TOKEN" | "USERNAME_PASSWORD"

Defines the actual set of fields depending on the value. See one of the following objects:

  • USERNAME_PASSWORD -> CredentialsDetailsUsernamePasswordResponseElement
  • CERTIFICATE -> CredentialsDetailsCertificateResponseElement
  • TOKEN -> CredentialsDetailsTokenResponseElement
  • PUBLIC_CERTIFICATE -> CredentialsDetailsCertificateResponseElement

AbstractSloAlertDto​

NameTypeDescription
alertName*requiredstringName of the alert.
alertThreshold*requirednumberThreshold of the alert. Status alerts trigger if they fall below this value, burn rate alerts trigger if they exceed the value.
alertType*required"BURN_RATE" | "STATUS"

Defines the actual set of fields depending on the value. See one of the following objects:

  • BURN_RATE -> BurnRateAlert
  • STATUS -> StatusAlert

AccessorPermissions​

An accessor identity and it's associated permissions.

NameTypeDescription
accessor*requiredIdentityAn Identity describing either a user, a group, or the all-users group (applying to all users).
permissions*requiredArray<"r" | "w">The permissions associated with the accessor.

AccessorPermissionsList​

All configured permissions of an object (excluding owner).

NameType
accessorsArray<AccessorPermissions>

ActiveGate​

Parameters of the ActiveGate.

NameTypeDescription
activeGateTokensArray<ActiveGateTokenInfoDto>A list of the ActiveGate tokens.
autoUpdateSettingsActiveGateAutoUpdateConfigAuto-update configuration for an individual environment ActiveGate.
autoUpdateStatus"UNKNOWN" | "INCOMPATIBLE" | "OUTDATED" | "SCHEDULED" | "SUPPRESSED" | "UP2DATE" | "UPDATE_IN_PROGRESS" | "UPDATE_PENDING" | "UPDATE_PROBLEM"The current status of auto-updates of the ActiveGate.

Example: OUTDATED
connectedHostsActiveGateConnectedHostsInformation about hosts currently connected to the ActiveGate
containerizedbooleanActiveGate is deployed in container (true) or not (false).
environmentsArray<string>A list of environments (specified by IDs) the ActiveGate can connect to.
fipsModebooleanActiveGate is running in FIPS compliant mode (true) or not (false).
groupstringThe group of the ActiveGate.

Example: default
hostnamestringThe name of the host the ActiveGate is running on.

Example: exampleHostname
idstringThe ID of the ActiveGate.

Example: 0x3efdd091
loadBalancerAddressesArray<string>A list of Load Balancer addresses of the ActiveGate.
mainEnvironmentstringThe ID of the main environment for a multi-environment ActiveGate.

Example: d1bf4a7e-666b-43af-9f45-718g98372e2f
modulesArray<ActiveGateModule>A list of modules of the ActiveGate.
networkAddressesArray<string>A list of network addresses of the ActiveGate.
networkZonestringThe network zone of the ActiveGate.

Example: exampleNetworkZone
offlineSincenumber

The timestamp since when the ActiveGate is offline.

The null value means the ActiveGate is online.



Example: 1582031917814
osArchitecture"S390" | "X86" | "ARM" | "PPCLE"The OS architecture that the ActiveGate is running on.

Example: X86
osBitness"64"The OS bitness that the ActiveGate is running on.

Example: 64
osType"LINUX" | "WINDOWS"The OS type that the ActiveGate is running on.

Example: WINDOWS
type"CLUSTER" | "ENVIRONMENT" | "ENVIRONMENT_MULTI"The type of the ActiveGate.

Example: ENVIRONMENT
versionstringThe current version of the ActiveGate in the <major>.<minor>.<revision>.<timestamp> format.

Example: 1.185.0.20200201-120000

ActiveGateAutoUpdateConfig​

Auto-update configuration for an individual environment ActiveGate.

NameTypeDescription
effectiveSetting"ENABLED" | "DISABLED"

The actual state of the ActiveGate auto-update.

Applicable only if the setting parameter is set to INHERITED. In that case, the value is taken from the parent setting. Otherwise, it's just a duplicate of the setting value.



Example: ENABLED
setting*required"ENABLED" | "DISABLED" | "INHERITED"

The state of the environment ActiveGate auto-update: enabled, disabled, or inherited.

If set to INHERITED, the setting is inherited from the global environment ActiveGate auto-update configuration.



Example: INHERITED
targetVersionstring

The target version of the ActiveGate.

Specify the version in the <major>.<minor> format (for example 1.342) or latest, previous, or older.



Example: latest
updateWindowsUpdateWindowsConfigBasic information about all configured update windows

ActiveGateConnectedHosts​

Information about hosts currently connected to the ActiveGate

NameTypeDescription
numbernumberThe number of hosts currently connected to the ActiveGate

Example: 150

ActiveGateGlobalAutoUpdateConfig​

Global auto-update configuration for environment ActiveGates. Applies to all environment ActiveGates that have the INHERITED auto-update setting.

NameTypeDescription
globalSetting*required"ENABLED" | "DISABLED"

The state of auto-updates for all environment ActiveGates.

This setting is inherited by all environment ActiveGates that have the INHERITED setting.

metadataConfigurationMetadataMetadata useful for debugging
targetVersionstring

Version to update a ActiveGate to when automatic updates are enabled.

Supports relative versions latest, previous and older as well as specific version in <major>.<minor> format (for example 1.261).

Only applicable when the setting parameter is set to ENABLED.



Example: latest
updateWindowsUpdateWindowsConfigBasic information about all configured update windows

ActiveGateGroup​

Information about ActiveGate group.

NameTypeDescription
namestringName of ActiveGate group

Example: default

ActiveGateGroupInfoDto​

Metadata for each ActiveGate group.

NameTypeDescription
activeGates*requiredArray<ActiveGateInfoDto>ActiveGates in group.
availableActiveGates*requirednumberNumber of ActiveGates in group available for extension.
groupName*requiredstringActiveGate group name.

ActiveGateGroups​

The collection of ActiveGate groups.

NameTypeDescription
groupsArray<ActiveGateGroup>List of ActiveGate groups

ActiveGateGroupsInfoDto​

ActiveGate groups metadata for extensions.

NameTypeDescription
activeGateGroups*requiredArray<ActiveGateGroupInfoDto>Metadata for each ActiveGate group.

ActiveGateInfoDto​

ActiveGates in group.

NameTypeDescription
errors*requiredArray<string>List of errors if Extension cannot be run on the ActiveGate
id*requirednumberActiveGate ID.

ActiveGateList​

A list of ActiveGates.

NameTypeDescription
activeGatesArray<ActiveGate>A list of ActiveGates.

ActiveGateModule​

Information about ActiveGate module

NameTypeDescription
attributesActiveGateModuleAttributesThe attributes of the ActiveGate module.
enabledbooleanThe module is enabled (true) or disabled (false).
misconfiguredbooleanThe module is misconfigured (true) or not (false).
type"SYNTHETIC" | "AWS" | "AZURE" | "BEACON_FORWARDER" | "CLOUD_FOUNDRY" | "DB_INSIGHT" | "DEBUGGING" | "EXTENSIONS_V1" | "EXTENSIONS_V2" | "KUBERNETES" | "LOGS" | "MEMORY_DUMPS" | "METRIC_API" | "ONE_AGENT_ROUTING" | "OTLP_INGEST" | "REST_API" | "VMWARE" | "Z_OS"The type of ActiveGate module.

Example: KUBERNETES
versionstringThe version of the ActiveGate module.

ActiveGateModuleAttributes​

The attributes of the ActiveGate module.

type: Record<string, string>

ActiveGateToken​

Metadata of an ActiveGate token.

NameTypeDescription
activeGateType*required"CLUSTER" | "ENVIRONMENT"The type of the ActiveGate for which the token is valid.
creationDate*requiredstringThe token creation date in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z').

Example: 2020-11-22T08:15:30.144Z
expirationDatestring

The token expiration date in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z').

If not set, the token never expires.



Example: 2020-11-24T08:15:30.144Z
id*requiredstringThe ActiveGate token identifier, consisting of prefix and public part of the token.

Example: dt0g02.4KWZO5EF
lastUsedDatestringThe token last used date in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z').

Example: 2020-11-23T08:15:30.144Z
name*requiredstringThe name of the token.

Example: myToken
owner*requiredstringThe owner of the token.

Example: john.smith
seedTokenbooleanThe token is a seed token (true) or an individual token (false).

Example: false

ActiveGateTokenCreate​

Parameters of a new ActiveGate token.

NameTypeDescription
activeGateType*required"CLUSTER" | "ENVIRONMENT"The type of the ActiveGate for which the token is valid.
expirationDatestring

The expiration date of the token.

You can use one of the following formats:

  • Timestamp in UTC milliseconds.
  • Human-readable format of 2021-01-25T05:57:01.123+01:00. If no time zone is specified, UTC is used. You can use a space character instead of the T. Seconds and fractions of a second are optional.
  • Relative timeframe, back from now. The format is now-NU/A, where N is the amount of time, U is the unit of time, and A is an alignment. The alignment rounds all the smaller values to the nearest zero in the past. For example, now-1y/w is one year back, aligned by a week. You can also specify relative timeframe without an alignment: now-NU. Supported time units for the relative timeframe are:
    • m: minutes
    • h: hours
    • d: days
    • w: weeks
    • M: months
    • y: years

If not set, the token never expires.

Ensure that it is not set in the past and does not exceed 2 years from the moment of creation."



Example: now+6M
name*requiredstringThe name of the token.

Example: myToken
seedTokenboolean

The token is a seed token (true) or an individual token (false).

We recommend the individual token option (false).



Example: false

ActiveGateTokenCreated​

The newly created ActiveGate token.

NameTypeDescription
expirationDatestringThe token expiration date in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z').

Example: 2020-11-24T08:15:30.144Z
id*requiredstringThe ActiveGate token identifier, consisting of prefix and public part of the token.

Example: dt0g02.4KWZO5EF
token*requiredstringThe secret of the token.

Example: dt0g02.4KWZO5EF.XT47R5DRADJIZUFOX4UDNOKTSUSABGLN7XSMJG7UXHRXKNY4WLORH4OF4T75MG7E

ActiveGateTokenEnforcement​

The status of ActiveGate tokens enforcement.

NameTypeDescription
autoEnforcedbooleanIf true, ActiveGate tokens are enforced automatically.
autoEnforcementEstimationDurationDefines a period of time.
manualEnforcedbooleanIf true, ActiveGate tokens are manually enforced by user.

ActiveGateTokenInfoDto​

Information about ActiveGate token.

NameTypeDescription
environmentIdstring

The environment ID to which the token belongs.

Only available if more than one environment is supported.

idstringThe ActiveGate token identifier, consisting of prefix and public part of the token.

Example: dt0g02.4KWZO5EF
state"UNKNOWN" | "ABSENT" | "EXPIRING" | "INVALID" | "UNSUPPORTED" | "VALID"State of the ActiveGate token.

ActiveGateTokenList​

A list of ActiveGate tokens.

NameTypeDescription
activeGateTokensArray<ActiveGateToken>A list of ActiveGate tokens.
nextPageKeystring

The cursor for the next page of results. Has the value of null on the last page.

Use it in the nextPageKey query parameter to obtain subsequent pages of the result.



Example: AQAAABQBAAAABQ==
pageSizenumberThe number of entries per page.
totalCount*requirednumberThe total number of entries in the result.

AdaptiveTrafficManagementDto​

NameType
rootSpansPerMinutenumber

AddEntityTag​

The custom tag to be added to monitored entities.

NameTypeDescription
key*requiredstringThe key of the custom tag to be added to monitored entities.
valuestringThe value of the custom tag to be added to monitored entities. May be null

AddEntityTags​

A list of tags to be added to monitored entities.

NameTypeDescription
tags*requiredArray<AddEntityTag>A list of tags to be added to monitored entities.

AddedEntityTags​

A list of custom tags added to monitored entities.

NameTypeDescription
appliedTagsArray<METag>A list of added custom tags.
matchedEntitiesCountnumberThe number of monitored entities where the tags have been added.

AffectedEntities​

Information about affected entities of an attack.

NameTypeDescription
processGroupAffectedEntityInformation about an affected entity.
processGroupInstanceAffectedEntityInformation about an affected entity.

AffectedEntity​

Information about an affected entity.

NameTypeDescription
idstringThe monitored entity ID of the affected entity.
namestringThe name of the affected entity.

AgentConnectionToken​

Holds the agent connection token.

NameTypeDescription
tokenstringThe agent connection token

Example: dt0a01.1.40f...bd9

AggregatedLog​

Aggregated log records.

NameTypeDescription
aggregationResultAggregatedLogAggregationResultAggregated log records.
warningsstringOptional warning messages.

AggregatedLogAggregationResult​

Aggregated log records.

type: Record<string, object>

AlertTemplateDto​

NameType
templateJsonstring

AlertingProfileStub​

Short representation of the alerting profile.

NameTypeDescription
id*requiredstringThe ID of the alerting profile.
namestringThe name of the alerting profile.

ApiToken​

Metadata of an API token.

NameTypeDescription
additionalMetadataApiTokenAdditionalMetadata

Contains additional properties for specific kinds of token. Examples:

  • A dashboardId property for dashboard sharing tokens.
  • A reportId property for report sharing tokens


Example: {"dashboardId":"82402bab-7370-4359-924d-88ed13c8919a"}
creationDatestringToken creation date in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z')

Example: 2020-11-05T08:15:30.144Z
enabledbooleanThe token is enabled (true) or disabled (false).

Example: true
expirationDatestring

Token expiration date in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z').

If not set, the token never expires.



Example: 2020-11-12T08:15:30.144Z
idstringThe ID of the token, consisting of prefix and public part of the token.

Example: dt0c01.ST2EY72KQINMH574WMNVI7YN
lastUsedDatestringToken last used date in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z')

Example: 2020-11-12T08:15:30.144Z
lastUsedIpAddressstringToken last used IP address.

Example: 34.197.2.44
modifiedDatestringToken last modified date in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z'). Updating scopes or name counts as modification, enabling or disabling a token does not.

Example: 2020-11-12T08:15:30.144Z
namestringThe name of the token.

Example: myToken
ownerstringThe owner of the token.

Example: john.smith
personalAccessTokenbooleanThe token is a personal access token (true) or an API token (false).

Example: true
scopesArray<"ActiveGateCertManagement" | "AdvancedSyntheticIntegration" | "CaptureRequestData" | "DTAQLAccess" | "DataExport" | "DataImport" | "DataPrivacy" | "Davis" | "DiagnosticExport" | "DssFileManagement" | "ExternalSyntheticIntegration" | "InstallerDownload" | "LogExport" | "MemoryDump" | "Mobile" | "PluginUpload" | "ReadConfig" | "ReadSyntheticData" | "RestRequestForwarding" | "RumBrowserExtension" | "RumJavaScriptTagManagement" | "SupportAlert" | "TenantTokenManagement" | "UserSessionAnonymization" | "ViewDashboard" | "ViewReport" | "WriteConfig" | "WriteSyntheticData" | "activeGateTokenManagement.create" | "activeGateTokenManagement.read" | "activeGateTokenManagement.write" | "activeGates.read" | "activeGates.write" | "adaptiveTrafficManagement.read" | "agentTokenManagement.read" | "apiTokens.read" | "apiTokens.write" | "attacks.read" | "attacks.write" | "auditLogs.read" | "bizevents.ingest" | "credentialVault.read" | "credentialVault.write" | "entities.read" | "entities.write" | "events.ingest" | "events.read" | "extensionConfigurationActions.write" | "extensionConfigurations.read" | "extensionConfigurations.write" | "extensionDiscoveryJmx.read" | "extensionDiscoveryPmi.read" | "extensionEnvironment.read" | "extensionEnvironment.write" | "extensions.read" | "extensions.write" | "geographicRegions.read" | "hub.install" | "hub.read" | "hub.write" | "javaScriptMappingFiles.read" | "javaScriptMappingFiles.write" | "logs.ingest" | "logs.read" | "metrics.ingest" | "metrics.read" | "metrics.write" | "networkZones.read" | "networkZones.write" | "oneAgents.read" | "oneAgents.write" | "openTelemetryTrace.ingest" | "openpipeline.events" | "openpipeline.events.custom" | "openpipeline.events_sdlc" | "openpipeline.events_sdlc.custom" | "openpipeline.events_security" | "openpipeline.events_security.custom" | "openpipeline.events_smartscape" | "problems.read" | "problems.write" | "releases.read" | "rumCookieNames.read" | "rumManualInsertionTags.read" | "securityProblems.read" | "securityProblems.write" | "settings.read" | "settings.write" | "slo.read" | "slo.write" | "syntheticExecutions.read" | "syntheticExecutions.write" | "syntheticLocations.read" | "syntheticLocations.write" | "tenantTokenRotation.write" | "traces.lookup" | "unifiedAnalysis.read">A list of scopes assigned to the token.

ApiTokenCreate​

Parameters of a new API token.

NameTypeDescription
expirationDatestring

The expiration date of the token.

You can use one of the following formats:

  • Timestamp in UTC milliseconds.
  • Human-readable format of 2021-01-25T05:57:01.123+01:00. If no time zone is specified, UTC is used. You can use a space character instead of the T. Seconds and fractions of a second are optional.
  • Relative timeframe, back from now. The format is now-NU/A, where N is the amount of time, U is the unit of time, and A is an alignment. The alignment rounds all the smaller values to the nearest zero in the past. For example, now-1y/w is one year back, aligned by a week. You can also specify relative timeframe without an alignment: now-NU. Supported time units for the relative timeframe are:
    • m: minutes
    • h: hours
    • d: days
    • w: weeks
    • M: months
    • y: years

If not set, the token never expires. Ensure that the expiration date is not set in the past.



Example: now+14d
name*requiredstringThe name of the token.

Example: tokenName
personalAccessTokenboolean

The token is a personal access token (true) or an API token (false).

Personal access tokens are tied to the permissions of their owner.



Example: false
scopes*requiredArray<"ActiveGateCertManagement" | "AdvancedSyntheticIntegration" | "CaptureRequestData" | "DTAQLAccess" | "DataExport" | "DataImport" | "DataPrivacy" | "Davis" | "DssFileManagement" | "ExternalSyntheticIntegration" | "InstallerDownload" | "LogExport" | "PluginUpload" | "ReadConfig" | "ReadSyntheticData" | "RestRequestForwarding" | "RumBrowserExtension" | "RumJavaScriptTagManagement" | "SupportAlert" | "TenantTokenManagement" | "UserSessionAnonymization" | "WriteConfig" | "activeGateTokenManagement.create" | "activeGateTokenManagement.read" | "activeGateTokenManagement.write" | "activeGates.read" | "activeGates.write" | "adaptiveTrafficManagement.read" | "agentTokenManagement.read" | "apiTokens.read" | "apiTokens.write" | "attacks.read" | "attacks.write" | "auditLogs.read" | "bizevents.ingest" | "credentialVault.read" | "credentialVault.write" | "entities.read" | "entities.write" | "events.ingest" | "events.read" | "extensionConfigurationActions.write" | "extensionConfigurations.read" | "extensionConfigurations.write" | "extensionDiscoveryJmx.read" | "extensionDiscoveryPmi.read" | "extensionEnvironment.read" | "extensionEnvironment.write" | "extensions.read" | "extensions.write" | "geographicRegions.read" | "hub.install" | "hub.read" | "hub.write" | "javaScriptMappingFiles.read" | "javaScriptMappingFiles.write" | "logs.ingest" | "logs.read" | "metrics.ingest" | "metrics.read" | "metrics.write" | "networkZones.read" | "networkZones.write" | "oneAgents.read" | "oneAgents.write" | "openTelemetryTrace.ingest" | "openpipeline.events" | "openpipeline.events.custom" | "openpipeline.events_sdlc" | "openpipeline.events_sdlc.custom" | "openpipeline.events_security" | "openpipeline.events_security.custom" | "openpipeline.events_smartscape" | "problems.read" | "problems.write" | "releases.read" | "rumCookieNames.read" | "rumManualInsertionTags.read" | "securityProblems.read" | "securityProblems.write" | "settings.read" | "settings.write" | "slo.read" | "slo.write" | "syntheticExecutions.read" | "syntheticExecutions.write" | "syntheticLocations.read" | "syntheticLocations.write" | "tenantTokenRotation.write" | "traces.lookup" | "unifiedAnalysis.read">

A list of the scopes to be assigned to the token.

  • InstallerDownload: PaaS integration - Installer download.
  • DataExport: Access problem and event feed, metrics, and topology.
  • PluginUpload: Upload Extension.
  • SupportAlert: PaaS integration - Support alert.
  • AdvancedSyntheticIntegration: Dynatrace module integration - Synthetic Classic.
  • ExternalSyntheticIntegration: Create and read synthetic monitors, locations, and nodes.
  • RumBrowserExtension: RUM Browser Extension.
  • LogExport: Read logs.
  • ReadConfig: Read configuration.
  • WriteConfig: Write configuration.
  • DTAQLAccess: User sessions.
  • UserSessionAnonymization: Anonymize user session data for data privacy reasons.
  • DataPrivacy: Change data privacy settings.
  • CaptureRequestData: Capture request data.
  • Davis: Dynatrace module integration - Davis.
  • DssFileManagement: Mobile symbolication file management.
  • RumJavaScriptTagManagement: Real user monitoring JavaScript tag management.
  • TenantTokenManagement: Token management.
  • ActiveGateCertManagement: ActiveGate certificate management.
  • RestRequestForwarding: Fetch data from a remote environment.
  • ReadSyntheticData: Read synthetic monitors, locations, and nodes.
  • DataImport: Data ingest, e.g.: metrics and events.
  • syntheticExecutions.write: Write synthetic monitor executions.
  • syntheticExecutions.read: Read synthetic monitor execution results.
  • auditLogs.read: Read audit logs.
  • metrics.read: Read metrics.
  • metrics.write: Write metrics.
  • entities.read: Read entities.
  • entities.write: Write entities.
  • problems.read: Read problems.
  • problems.write: Write problems.
  • events.read: Read events.
  • events.ingest: Ingest events.
  • openpipeline.events: OpenPipeline - Ingest Events (Built-in).
  • openpipeline.events.custom: OpenPipeline - Ingest Events (Custom).
  • openpipeline.events_security: OpenPipeline - Ingest Security Events (Built-in).
  • openpipeline.events_security.custom: OpenPipeline - Ingest Security Events (Custom).
  • openpipeline.events_sdlc: OpenPipeline - Ingest Software Development Lifecycle Events (Built-in).
  • openpipeline.events_sdlc.custom: OpenPipeline - Ingest Software Development Lifecycle Events (Custom).
  • openpipeline.events_smartscape: OpenPipeline - Ingest Smartscape Events (Built-in).
  • bizevents.ingest: Ingest bizevents.
  • networkZones.read: Read network zones.
  • networkZones.write: Write network zones.
  • activeGates.read: Read ActiveGates.
  • activeGates.write: Write ActiveGates.
  • activeGateTokenManagement.read: Read ActiveGate tokens.
  • activeGateTokenManagement.create: Create ActiveGate tokens.
  • activeGateTokenManagement.write: Write ActiveGate tokens.
  • agentTokenManagement.read: Read Agent tokens.
  • credentialVault.read: Read credential vault entries.
  • credentialVault.write: Write credential vault entries.
  • extensions.read: Read extensions.
  • extensions.write: Write extensions.
  • extensionConfigurations.read: Read extension monitoring configurations.
  • extensionConfigurations.write: Write extension monitoring configurations.
  • extensionEnvironment.read: Read extension environment configurations.
  • extensionEnvironment.write: Write extension environment configurations.
  • metrics.ingest: Ingest metrics.
  • attacks.read: Read attacks.
  • attacks.write: Write Application Protection settings.
  • securityProblems.read: Read security problems.
  • securityProblems.write: Write security problems.
  • syntheticLocations.read: Read synthetic locations.
  • syntheticLocations.write: Write synthetic locations.
  • settings.read: Read settings.
  • settings.write: Write settings.
  • tenantTokenRotation.write: Tenant token rotation.
  • slo.read: Read SLO.
  • slo.write: Write SLO.
  • releases.read: Read releases.
  • apiTokens.read: Read API tokens.
  • apiTokens.write: Write API tokens.
  • openTelemetryTrace.ingest: Ingest OpenTelemetry traces.
  • logs.read: Read logs.
  • logs.ingest: Ingest logs.
  • geographicRegions.read: Read Geographic regions.
  • oneAgents.read: Read OneAgents.
  • oneAgents.write: Write OneAgents.
  • traces.lookup: Look up a single trace.
  • unifiedAnalysis.read: Read Unified Analysis page.
  • hub.read: Read Hub related data.
  • hub.write: Manage metadata of Hub items.
  • hub.install: Install and update Hub items.
  • javaScriptMappingFiles.read: Read JavaScript mapping files.
  • javaScriptMappingFiles.write: Write JavaScript mapping files.
  • extensionConfigurationActions.write: Actions for extension monitoring configurations.
  • rumCookieNames.read: Read RUM cookie names.
  • adaptiveTrafficManagement.read: Read sampling configuration for Adaptive Traffic Management.
  • rumManualInsertionTags.read: Read RUM manual insertion tags.
  • extensionDiscoveryJmx.read: Read discovered JMX metrics via extensions.
  • extensionDiscoveryPmi.read: Read discovered PMI metrics via extensions.

ApiTokenCreated​

The newly created token.

NameTypeDescription
expirationDatestringThe token expiration date in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss.SSS'Z').

Example: 2020-11-12T08:15:30.144Z
idstringThe ID of the token, consisting of prefix and public part of the token.

Example: dt0c01.ST2EY72KQINMH574WMNVI7YN
tokenstringThe secret of the token.

Example: dt0c01.ST2EY72KQINMH574WMNVI7YN.G3DFPBEJYMODIDAEX454M7YWBUVEFOWKPRVMWFASS64NFH52PX6BNDVFFM572RZM

ApiTokenList​

A list of API tokens.

NameTypeDescription
apiTokensArray<ApiToken>A list of API tokens.
nextPageKeystring

The cursor for the next page of results. Has the value of null on the last page.

Use it in the nextPageKey query parameter to obtain subsequent pages of the result.



Example: AQAAABQBAAAABQ==
pageSizenumberThe number of entries per page.
totalCount*requirednumberThe total number of entries in the result.

ApiTokenSecret​

NameTypeDescription
token*requiredstringThe API token.

Example: dt0c01.ST2EY72KQINMH574WMNVI7YN.G3DFPBEJYMODIDAEX454M7YWBUVEFOWKPRVMWFASS64NFH52PX6BNDVFFM572RZM

ApiTokenUpdate​

The update of the API token.

NameTypeDescription
enabledbooleanThe token is enabled (true) or disabled (false)

Example: true
namestringThe name of the token.

Example: myToken
scopesArray<"ActiveGateCertManagement" | "AdvancedSyntheticIntegration" | "CaptureRequestData" | "DTAQLAccess" | "DataExport" | "DataImport" | "DataPrivacy" | "Davis" | "DssFileManagement" | "ExternalSyntheticIntegration" | "InstallerDownload" | "LogExport" | "PluginUpload" | "ReadConfig" | "ReadSyntheticData" | "RestRequestForwarding" | "RumBrowserExtension" | "RumJavaScriptTagManagement" | "SupportAlert" | "TenantTokenManagement" | "UserSessionAnonymization" | "WriteConfig" | "activeGateTokenManagement.create" | "activeGateTokenManagement.read" | "activeGateTokenManagement.write" | "activeGates.read" | "activeGates.write" | "adaptiveTrafficManagement.read" | "agentTokenManagement.read" | "apiTokens.read" | "apiTokens.write" | "attacks.read" | "attacks.write" | "auditLogs.read" | "bizevents.ingest" | "credentialVault.read" | "credentialVault.write" | "entities.read" | "entities.write" | "events.ingest" | "events.read" | "extensionConfigurationActions.write" | "extensionConfigurations.read" | "extensionConfigurations.write" | "extensionDiscoveryJmx.read" | "extensionDiscoveryPmi.read" | "extensionEnvironment.read" | "extensionEnvironment.write" | "extensions.read" | "extensions.write" | "geographicRegions.read" | "hub.install" | "hub.read" | "hub.write" | "javaScriptMappingFiles.read" | "javaScriptMappingFiles.write" | "logs.ingest" | "logs.read" | "metrics.ingest" | "metrics.read" | "metrics.write" | "networkZones.read" | "networkZones.write" | "oneAgents.read" | "oneAgents.write" | "openTelemetryTrace.ingest" | "openpipeline.events" | "openpipeline.events.custom" | "openpipeline.events_sdlc" | "openpipeline.events_sdlc.custom" | "openpipeline.events_security" | "openpipeline.events_security.custom" | "openpipeline.events_smartscape" | "problems.read" | "problems.write" | "releases.read" | "rumCookieNames.read" | "rumManualInsertionTags.read" | "securityProblems.read" | "securityProblems.write" | "settings.read" | "settings.write" | "slo.read" | "slo.write" | "syntheticExecutions.read" | "syntheticExecutions.write" | "syntheticLocations.read" | "syntheticLocations.write" | "tenantTokenRotation.write" | "traces.lookup" | "unifiedAnalysis.read">

The list of scopes assigned to the token.

Apart from the new scopes, you need to submit the existing scopes you want to keep, too. Any existing scope, missing in the payload, is removed.

  • InstallerDownload: PaaS integration - Installer download.
  • DataExport: Access problem and event feed, metrics, and topology.
  • PluginUpload: Upload Extension.
  • SupportAlert: PaaS integration - Support alert.
  • AdvancedSyntheticIntegration: Dynatrace module integration - Synthetic Classic.
  • ExternalSyntheticIntegration: Create and read synthetic monitors, locations, and nodes.
  • RumBrowserExtension: RUM Browser Extension.
  • LogExport: Read logs.
  • ReadConfig: Read configuration.
  • WriteConfig: Write configuration.
  • DTAQLAccess: User sessions.
  • UserSessionAnonymization: Anonymize user session data for data privacy reasons.
  • DataPrivacy: Change data privacy settings.
  • CaptureRequestData: Capture request data.
  • Davis: Dynatrace module integration - Davis.
  • DssFileManagement: Mobile symbolication file management.
  • RumJavaScriptTagManagement: Real user monitoring JavaScript tag management.
  • TenantTokenManagement: Token management.
  • ActiveGateCertManagement: ActiveGate certificate management.
  • RestRequestForwarding: Fetch data from a remote environment.
  • ReadSyntheticData: Read synthetic monitors, locations, and nodes.
  • DataImport: Data ingest, e.g.: metrics and events.
  • syntheticExecutions.write: Write synthetic monitor executions.
  • syntheticExecutions.read: Read synthetic monitor execution results.
  • auditLogs.read: Read audit logs.
  • metrics.read: Read metrics.
  • metrics.write: Write metrics.
  • entities.read: Read entities.
  • entities.write: Write entities.
  • problems.read: Read problems.
  • problems.write: Write problems.
  • events.read: Read events.
  • events.ingest: Ingest events.
  • openpipeline.events: OpenPipeline - Ingest Events (Built-in).
  • openpipeline.events.custom: OpenPipeline - Ingest Events (Custom).
  • openpipeline.events_security: OpenPipeline - Ingest Security Events (Built-in).
  • openpipeline.events_security.custom: OpenPipeline - Ingest Security Events (Custom).
  • openpipeline.events_sdlc: OpenPipeline - Ingest Software Development Lifecycle Events (Built-in).
  • openpipeline.events_sdlc.custom: OpenPipeline - Ingest Software Development Lifecycle Events (Custom).
  • openpipeline.events_smartscape: OpenPipeline - Ingest Smartscape Events (Built-in).
  • bizevents.ingest: Ingest bizevents.
  • networkZones.read: Read network zones.
  • networkZones.write: Write network zones.
  • activeGates.read: Read ActiveGates.
  • activeGates.write: Write ActiveGates.
  • activeGateTokenManagement.read: Read ActiveGate tokens.
  • activeGateTokenManagement.create: Create ActiveGate tokens.
  • activeGateTokenManagement.write: Write ActiveGate tokens.
  • agentTokenManagement.read: Read Agent tokens.
  • credentialVault.read: Read credential vault entries.
  • credentialVault.write: Write credential vault entries.
  • extensions.read: Read extensions.
  • extensions.write: Write extensions.
  • extensionConfigurations.read: Read extension monitoring configurations.
  • extensionConfigurations.write: Write extension monitoring configurations.
  • extensionEnvironment.read: Read extension environment configurations.
  • extensionEnvironment.write: Write extension environment configurations.
  • metrics.ingest: Ingest metrics.
  • attacks.read: Read attacks.
  • attacks.write: Write Application Protection settings.
  • securityProblems.read: Read security problems.
  • securityProblems.write: Write security problems.
  • syntheticLocations.read: Read synthetic locations.
  • syntheticLocations.write: Write synthetic locations.
  • settings.read: Read settings.
  • settings.write: Write settings.
  • tenantTokenRotation.write: Tenant token rotation.
  • slo.read: Read SLO.
  • slo.write: Write SLO.
  • releases.read: Read releases.
  • apiTokens.read: Read API tokens.
  • apiTokens.write: Write API tokens.
  • openTelemetryTrace.ingest: Ingest OpenTelemetry traces.
  • logs.read: Read logs.
  • logs.ingest: Ingest logs.
  • geographicRegions.read: Read Geographic regions.
  • oneAgents.read: Read OneAgents.
  • oneAgents.write: Write OneAgents.
  • traces.lookup: Look up a single trace.
  • unifiedAnalysis.read: Read Unified Analysis page.
  • hub.read: Read Hub related data.
  • hub.write: Manage metadata of Hub items.
  • hub.install: Install and update Hub items.
  • javaScriptMappingFiles.read: Read JavaScript mapping files.
  • javaScriptMappingFiles.write: Write JavaScript mapping files.
  • extensionConfigurationActions.write: Actions for extension monitoring configurations.
  • rumCookieNames.read: Read RUM cookie names.
  • adaptiveTrafficManagement.read: Read sampling configuration for Adaptive Traffic Management.
  • rumManualInsertionTags.read: Read RUM manual insertion tags.
  • extensionDiscoveryJmx.read: Read discovered JMX metrics via extensions.
  • extensionDiscoveryPmi.read: Read discovered PMI metrics via extensions.

ApplicationImpact​

Analysis of problem impact to an application.

NameTypeDescription
estimatedAffectedUsers*requirednumberThe estimated number of affected users.
impactType*required"APPLICATION" | "CUSTOM_APPLICATION" | "MOBILE" | "SERVICE"

Defines the actual set of fields depending on the value. See one of the following objects:

  • SERVICE -> ServiceImpact
  • APPLICATION -> ApplicationImpact
  • MOBILE -> MobileImpact
  • CUSTOM_APPLICATION -> CustomApplicationImpact
impactedEntity*requiredEntityStubA short representation of a monitored entity.

AppliedFilter​

Optional filters that took effect.

NameTypeDescription
appliedTo*requiredArray<string>

The keys of all metrics that this filter has been applied to.

Can contain multiple metrics for complex expressions and always at least one key.

filterFilterA dimensional or series filter on a metric.

AssessmentAccuracyDetails​

The assessment accuracy details.

NameTypeDescription
reducedReasonsArray<"LIMITED_AGENT_SUPPORT" | "LIMITED_BY_CONFIGURATION" | "LIMITED_BY_SERVICE_DETECTION_V2">The reasons for a reduced assessment accuracy.

AssetInfo​

Assets types and its count

NameType
assetTypestring
countnumber

AssetInfoDto​

Metadata for an extension asset.

NameTypeDescription
assetSchemaDetailsAssetSchemaDetailsDtoSettings schema details for asset
displayNamestringUser-friendly name of the asset.
idstringID of the asset. Identifies the asset in REST API and/or UI (where applicable).
type"ALERT" | "ALERT_TEMPLATE" | "AWS_SERVICE" | "CUSTOM_CARDS" | "DASHBOARD" | "DECLARATIVE_PROCESSES" | "DOCUMENT_DASHBOARD" | "DOCUMENT_SCREEN" | "DQL_LOG_METRIC" | "DQL_LOG_PROCESSING_RULE" | "GENERIC_RELATIONSHIP" | "GENERIC_TYPE" | "LIST_SCREEN_FILTERS" | "LIST_SCREEN_INJECTIONS" | "LIST_SCREEN_LAYOUT" | "LOG_EVENT" | "LOG_METRIC" | "LOG_PROCESSING_RULE" | "LQL_LOG_METRIC" | "LQL_LOG_PROCESSING_RULE" | "METRIC_METADATA" | "METRIC_QUERY" | "OPEN_PIPELINE" | "PROCESS_GROUPING_RULES" | "SCREEN_ACTIONS" | "SCREEN_CHART_GROUPS" | "SCREEN_DQL_TABLE" | "SCREEN_ENTITIES_LISTS" | "SCREEN_EVENTS_CARDS" | "SCREEN_FILTERS" | "SCREEN_HEALTH_CARDS" | "SCREEN_INJECTIONS" | "SCREEN_LAYOUT" | "SCREEN_LOGS_CARDS" | "SCREEN_MESSAGE_CARDS" | "SCREEN_METRIC_TABLES" | "SCREEN_PROBLEMS" | "SCREEN_PROPERTIES"The type of the asset.

AssetSchemaDetailsDto​

Settings schema details for asset

NameTypeDescription
keystringAsset key
schemaIdstringAsset schema id
scopestringAsset configuration scope

Attack​

Describes an attack.

NameTypeDescription
affectedEntitiesAffectedEntitiesInformation about affected entities of an attack.
attackIdstringThe ID of the attack.
attackTargetAttackTargetInformation about the targeted host/database of an attack.
attackType"COMMAND_INJECTION" | "JNDI_INJECTION" | "SQL_INJECTION" | "SSRF"The type of the attack.
attackerAttackerAttacker of an attack.
displayIdstringThe display ID of the attack.
displayNamestringThe display name of the attack.
entrypointAttackEntrypointDescribes the entrypoint used by an attacker to start a specific attack.
managementZonesArray<ManagementZone>A list of management zones which the affected entities belong to.
requestRequestInformationDescribes the complete request information of an attack.
securityProblemAttackSecurityProblemAssessment information and the ID of a security problem related to an attack.
state"ALLOWLISTED" | "BLOCKED" | "EXPLOITED"The state of the attack.
technology"DOTNET" | "GO" | "JAVA" | "NODE_JS"The technology of the attack.
timestampnumberThe timestamp when the attack occurred.
vulnerabilityVulnerabilityDescribes the exploited vulnerability.

AttackEntrypoint​

Describes the entrypoint used by an attacker to start a specific attack.

NameTypeDescription
codeLocationCodeLocationInformation about a code location.
entrypointFunctionFunctionDefinitionInformation about a function definition.
payloadArray<AttackEntrypointPayloadItem>All relevant payload data that has been sent during the attack.

AttackEntrypointPayloadItem​

A list of values that has possibly been truncated.

NameTypeDescription
truncationInfoTruncationInfoInformation on a possible truncation.
valuesArray<EntrypointPayload>Values of the list.

AttackList​

A list of attacks.

NameTypeDescription
attacksArray<Attack>A list of attacks.
nextPageKeystring

The cursor for the next page of results. Has the value of null on the last page.

Use it in the nextPageKey query parameter to obtain subsequent pages of the result.



Example: AQAAABQBAAAABQ==
pageSizenumberThe number of entries per page.
totalCount*requirednumberThe total number of entries in the result.

AttackRequestHeader​

A header element of the attack's request.

NameTypeDescription
namestringThe name of the header element.
valuestringThe value of the header element.

AttackSecurityProblem​

Assessment information and the ID of a security problem related to an attack.

NameTypeDescription
assessmentAttackSecurityProblemAssessmentDtoThe assessment of a security problem related to an attack.
securityProblemIdstringThe security problem ID.

AttackSecurityProblemAssessmentDto​

The assessment of a security problem related to an attack.

NameTypeDescription
dataAssets"NOT_AVAILABLE" | "NOT_DETECTED" | "REACHABLE"The reachability of data assets by the attacked target.
exposure"NOT_AVAILABLE" | "NOT_DETECTED" | "PUBLIC_NETWORK"The level of exposure of the attacked target
numberOfReachableDataAssetsnumberThe number of data assets reachable by the attacked target.

AttackTarget​

Information about the targeted host/database of an attack.

NameTypeDescription
entityIdstringThe monitored entity ID of the targeted host/database.
namestringThe name of the targeted host/database.

Attacker​

Attacker of an attack.

NameTypeDescription
locationAttackerLocationLocation of an attacker.
sourceIpstringThe source IP of the attacker.

AttackerLocation​

Location of an attacker.

NameTypeDescription
citystringCity of the attacker.
countrystringThe country of the attacker.
countryCodestringThe country code of the country of the attacker, according to the ISO 3166-1 Alpha-2 standard.

AuditLog​

The audit log of your environment.

NameTypeDescription
auditLogsArray<AuditLogEntry>A list of audit log entries ordered by the creation timestamp.
nextPageKeystring

The cursor for the next page of results. Has the value of null on the last page.

Use it in the nextPageKey query parameter to obtain subsequent pages of the result.



Example: AQAAABQBAAAABQ==
pageSizenumberThe number of entries per page.
totalCount*requirednumberThe total number of entries in the result.

AuditLogEntry​

An entry of the audit log.

NameTypeDescription
category*required"TOKEN" | "ACTIVEGATE_TOKEN" | "BUILD_UNIT_V2" | "CONFIG" | "MANUAL_TAGGING_SERVICE" | "TENANT_LIFECYCLE" | "WEB_UI"The category of the recorded operation.
dt.settings.keystringThe key of the affected object of a setting for entries of category CONFIG.
dt.settings.object_idstringThe ID of the affected object of a setting for entries of category CONFIG.
dt.settings.object_summarystringThe value summary for entries of category CONFIG.
dt.settings.schema_idstringThe schema ID or config ID for entries of category CONFIG.
dt.settings.scope_idstringThe persistence scope for entries of category CONFIG, e.g. an ME identifier.

Example: environment
dt.settings.scope_namestringThe display name of the scope for entries of category CONFIG.
entityIdstring

The ID of an entity from the category.

For example, it can be config ID for the CONFIG category or token ID for the TOKEN category.

environmentId*requiredstringThe ID of the Dynatrace environment where the recorded operation occurred.
eventType*required"CREATE" | "DELETE" | "LOGIN" | "LOGOUT" | "REORDER" | "REVOKE" | "TAG_ADD" | "TAG_REMOVE" | "TAG_UPDATE" | "UPDATE"

The type of the recorded operation.

  • LOGIN -> A user logged in
  • LOGOUT -> A user logged out
  • CREATE -> An object was created
  • UPDATE -> An object was updated
  • DELETE -> An object was deleted
  • REVOKE -> An Active Gate token was revoked
  • TAG_ADD -> A manual tag was added
  • TAG_REMOVE -> A manual tag was removed
  • TAG_UPDATE -> A manual tag was updated
  • REMOTE_CONFIGURATION_MANAGEMENT -> A Remote Configuration Management related operation occurred
logId*requiredstringThe ID of the log entry.
messagestringThe logged message.
patchAnyValue

The patch of the recorded operation as the JSON representation.

The format is an enhanced RFC 6902. The patch also carries the previous value in the oldValue field.

success*requiredbooleanThe recorded operation is successful (true) or failed (false).
timestamp*requirednumberThe timestamp of the record creation, in UTC milliseconds.
user*requiredstringThe ID of the user who performed the recorded operation.
userOriginstringThe origin and the IP address of the user.
userType*required"PUBLIC_TOKEN_IDENTIFIER" | "SERVICE_NAME" | "TOKEN_HASH" | "USER_NAME"

The type of the authentication of the user.

  • USER_NAME -> User was logged in the UI
  • TOKEN_HASH -> URL Token or DevOps Token, the hash of the token is logged
  • SERVICE_NAME -> No authenticated user at all, this action was performed by a system service automatically
  • PUBLIC_TOKEN_IDENTIFIER -> API Token, the public token id is logged

AuthenticationDto​

Authentication dto for Browser Monitor step.

NameTypeDescription
authServerAllowliststringString containing the allowed servers of KERBEROS authentication. Can be defined only for KERBEROS authentication type.
domainstringString containing the KERBEROS authentication domain. Can be defined only for KERBEROS authentication type.
inputType*required"PLAIN" | "SECURE"

Defines the actual set of fields depending on the value. See one of the following objects:

  • SECURE -> SecureAuthenticationDto
  • PLAIN -> PlainAuthenticationDto
type*required"HTTP_AUTHENTICATION" | "KERBEROS" | "WEBFORM"Type of authentication.

AuthorDto​

Extension author

NameTypeDescription
namestringAuthor name

AvailabilityEvidence​

The availability evidence of the problem.

Indicates an entity that has been unavailable during the problem lifespan and that might be related to the root cause.

NameTypeDescription
displayName*requiredstringThe display name of the evidence.
endTime*requirednumberThe end time of the evidence, in UTC milliseconds.
entity*requiredEntityStubA short representation of a monitored entity.
evidenceType*required"AVAILABILITY_EVIDENCE" | "EVENT" | "MAINTENANCE_WINDOW" | "METRIC" | "TRANSACTIONAL"

Defines the actual set of fields depending on the value. See one of the following objects:

  • EVENT -> EventEvidence
  • METRIC -> MetricEvidence
  • TRANSACTIONAL -> TransactionalEvidence
  • MAINTENANCE_WINDOW -> MaintenanceWindowEvidence
  • AVAILABILITY_EVIDENCE -> AvailabilityEvidence
groupingEntityEntityStubA short representation of a monitored entity.
rootCauseRelevant*requiredbooleanThe evidence is (true) or is not (false) a part of the root cause.
startTime*requirednumberThe start time of the evidence, in UTC milliseconds.

AzureClientSecret​

Synchronization credentials with Azure Key Vault using client secret authentication method

NameTypeDescription
clientIdstringClient (application) ID of Azure application in Azure Active Directory which has permission to access secrets in Azure Key Vault.
clientSecretstringClient secret generated for Azure application in Azure Active Directory used for proving identity when requesting a token used later for accessing secrets in Azure Key Vault.
locationForSynchronizationIdstringId of a location used by the synchronizing monitor
passwordSecretNamestringThe name of the secret saved in external vault where password is stored.
sourceAuthMethod"AZURE_KEY_VAULT_CLIENT_SECRET" | "CYBERARK_VAULT_ALLOWED_LOCATION" | "CYBERARK_VAULT_USERNAME_PASSWORD" | "HASHICORP_VAULT_APPROLE" | "HASHICORP_VAULT_CERTIFICATE"

Defines the actual set of fields depending on the value. See one of the following objects:

  • HASHICORP_VAULT_APPROLE -> HashicorpApprole
  • HASHICORP_VAULT_CERTIFICATE -> HashicorpCertificate
  • AZURE_KEY_VAULT_CLIENT_SECRET -> AzureClientSecret
  • CYBERARK_VAULT_USERNAME_PASSWORD -> CyberArkUsernamePassword
  • CYBERARK_VAULT_ALLOWED_LOCATION -> CyberArkAllowedLocationDto
tenantIdstringTenant (directory) ID of Azure application in Azure Active Directory which has permission to access secrets in Azure Key Vault.
tokenSecretNamestringThe name of the secret saved in external vault where token is stored.
usernameSecretNamestringThe name of the secret saved in external vault where username is stored.
vaultUrlstringExternal vault URL.

AzureClientSecretConfig​

Configuration for external vault synchronization for username and password credentials.

NameTypeDescription
clientIdstring
clientSecretstring
credentialsUsedForExternalSynchronizationArray<string>
passwordSecretNamestring
sourceAuthMethod"AZURE_KEY_VAULT_CLIENT_SECRET" | "CYBERARK_VAULT_ALLOWED_LOCATION" | "CYBERARK_VAULT_USERNAME_PASSWORD" | "HASHICORP_VAULT_APPROLE" | "HASHICORP_VAULT_CERTIFICATE"

Defines the actual set of fields depending on the value. See one of the following objects:

  • HASHICORP_VAULT_APPROLE -> HashicorpApproleConfig
  • HASHICORP_VAULT_CERTIFICATE -> HashicorpCertificateConfig
  • AZURE_KEY_VAULT_CLIENT_SECRET -> AzureClientSecretConfig
  • CYBERARK_VAULT_USERNAME_PASSWORD -> CyberArkUsernamePasswordConfig
  • CYBERARK_VAULT_ALLOWED_LOCATION -> CyberArkAllowedLocationConfig
tenantIdstring
tokenSecretNamestring
type"AZURE_CERTIFICATE_MODEL" | "AZURE_CLIENT_SECRET_MODEL" | "CYBERARK_VAULT_ALLOWED_LOCATION_MODEL" | "CYBERARK_VAULT_USERNAME_PASSWORD_MODEL" | "HASHICORP_APPROLE_MODEL" | "HASHICORP_CERTIFICATE_MODEL"
usernameSecretNamestring
vaultUrlstring

BMAction​

Contains detailed information about Browser monitor action.

NameTypeDescription
apdexType"UNKNOWN" | "FRUSTRATED" | "SATISFIED" | "TOLERATING"The user experience index of the action.
cdnBusyTimenumberThe time spent waiting for CDN resources for the action, in milliseconds.
cdnResourcesnumberThe number of resources fetched from a CDN for the action.
clientTimenumberThe event startTime in client time, in milliseconds.
cumulativeLayoutShiftnumberCumulative layout shift: Available for Chromium-based browsers. Measured using Google-provided APIs.
customErrorCountnumberThe total number of custom errors during the action.
documentInteractiveTimenumberThe amount of time spent until the document for the action became interactive, in milliseconds.
domCompleteTimenumberThe amount of time until the DOM tree is completed, in milliseconds.
domContentLoadedTimenumberThe amount of time until the DOM tree is loaded, in milliseconds.
domainstringThe DNS domain where the action has been recorded
durationnumberThe duration of the action, in milliseconds
endTimenumberThe stop time of the action on the server, in UTC milliseconds
entryActionboolean
exitActionboolean
firstInputDelaynumberThe first input delay (FID) is the time (in milliseconds) that the browser took to respond to the first user input.
firstPartyBusyTimenumberThe time spent waiting for resources from the originating server for the action, in milliseconds.
firstPartyResourcesnumberThe number of resources fetched from the originating server for the action.
frontendTimenumberThe amount of time spent on the frontend rendering for the action, in milliseconds.
javascriptErrorCountnumberThe total number of Javascript errors during the action.
largestContentfulPaintnumberThe largest contentful paint (LCP) is the time (in milliseconds) that the largest element on the page took to render.
loadEventEndnumberThe amount of time until the load event ended, in milliseconds.
loadEventStartnumberThe amount of time until the load event started, in milliseconds.
monitorType*required"BROWSER" | "HTTP"

Defines the actual set of fields depending on the value. See one of the following objects:

  • BROWSER -> BMAction
  • HTTP -> MonitorRequestExecutionResult
namestringThe name of the action.
navigationStartTimenumberThe timestamp of the navigation start, in UTC milliseconds.
networkTimenumberThe amount of time spent on the data transfer for the action, in milliseconds.
referrerstringThe referrer.
requestErrorCountnumberThe total number of request errors during the action.
requestStartnumberThe amount of time until the request started, in milliseconds.
responseEndnumberThe amount of time until the response ended, in milliseconds.
responseStartnumberThe amount of time until the response started, in milliseconds.
serverTimenumberThe amount of time spent on the server-side processing for the action, in milliseconds.
speedIndexnumberA score indicating how quickly the page content is visually populated. A low speed index means that most parts of a page are rendering quickly.
startSequenceNumbernumberThe sequence number of the action (to get a kind of order).
startTimenumberThe start time of the action on the server, in in UTC milliseconds.
targetUrlstringThe URL of the action.
thirdPartyBusyTimenumberThe time spent waiting for third party resources for the action, in milliseconds.
thirdPartyResourcesnumberThe number of third party resources loaded for the action.
totalBlockingTimenumberThe time between the moment when the browser receives a request to download a resource and the time that it actually starts downloading the resource in ms.
type"Custom" | "EndVisit" | "Error" | "Load" | "RageClick" | "StandaloneAgentEvent" | "StandaloneHttpError" | "SyntheticHiddenAction" | "UserSessionProperties" | "ViewChangeEvent" | "VisitTag" | "Xhr"The type of the action.
userActionPropertyCountnumberThe total number of properties in the action.
visuallyCompleteTimenumberThe amount of time until the page is visually complete, in milliseconds.

BaseWaitConditionDto​

Wait condition for Browser Monitor step.

NameTypeDescription
type*required"NETWORK" | "NEXT_EVENT" | "PAGE_COMPLETE" | "TIME" | "VALIDATION"

Defines the actual set of fields depending on the value. See one of the following objects:

  • TIME -> TimeWaitConditionDto
  • VALIDATION -> ValidationWaitConditionDto
  • PAGE_COMPLETE -> BaseWaitConditionDto
  • NETWORK -> BaseWaitConditionDto
  • NEXT_EVENT -> BaseWaitConditionDto

BizEventIngestError​

NameType
idstring
indexnumber
messagestring
sourcestring

BizEventIngestResult​

Result received after ingesting business events.

NameTypeDescription
errorsArray<BizEventIngestError>A list of business events ingest errors.

BrowserPermissionsDto​

Permissions settings for browser.

NameTypeDescription
camerabooleanCamera permission. If not defined in request, it will be set to false by default.
locationbooleanLocation permission. If not defined in request, it will be set to false by default.
microphonebooleanMicrophone permission. If not defined in request, it will be set to false by default.
notificationsbooleanNotifications permission. If not defined in request, it will be set to false by default.

BurnRateAlert​

Parameters of an error budget burn rate alert.

NameTypeDescription
alertName*requiredstringName of the alert.
alertThreshold*requirednumberThreshold of the alert. Status alerts trigger if they fall below this value, burn rate alerts trigger if they exceed the value.
alertType*required"BURN_RATE" | "STATUS"

Defines the actual set of fields depending on the value. See one of the following objects:

  • BURN_RATE -> BurnRateAlert
  • STATUS -> StatusAlert

CertificateCredentials​

A credentials set of the CERTIFICATE type.

NameTypeDescription
allowContextlessRequestsbooleanAllow ad-hoc functions to access the credential details (requires the APP_ENGINE scope).
allowedEntitiesArray<CredentialAccessData>The set of entities allowed to use the credential.
certificate*requiredstringString containing the certificate file bytes encoded in Base64 without carriage return.
certificateFormat*required"UNKNOWN" | "PEM" | "PKCS12"The certificate format. Use PEM for PEM certificates and PKCS12 for PFX and P12 certificates.
descriptionstringA short description of the credentials set.
idstringThe ID of the credentials set.
name*requiredstringThe name of the credentials set.
ownerAccessOnlybooleanThe credentials set is available to every user (false) or to owner only (true).
password*requiredstringThe password of the credential encoded in Base64. Must be empty for PEM certificates.
scopeDEPRECATED"EXTENSION" | "SYNTHETIC" | "APP_ENGINE" | "EXTENSION_AUTHENTICATION"The scope of the credentials set.
scopes*requiredArray<"EXTENSION" | "SYNTHETIC" | "APP_ENGINE" | "EXTENSION_AUTHENTICATION">

The set of scopes of the credentials set.

Limitations: CredentialsScope.APP_ENGINE is only available on the new Dynatrace SaaS platform - it's not available on managed or non-Grail SaaS environments.

type*required"CERTIFICATE" | "PUBLIC_CERTIFICATE" | "TOKEN" | "USERNAME_PASSWORD" | "AWS_MONITORING_KEY_BASED" | "AWS_MONITORING_ROLE_BASED" | "SNMPV3"

Defines the actual set of fields depending on the value. See one of the following objects:

  • CERTIFICATE -> CertificateCredentials
  • PUBLIC_CERTIFICATE -> PublicCertificateCredentials
  • USERNAME_PASSWORD -> UserPasswordCredentials
  • TOKEN -> TokenCredentials
  • SNMPV3 -> SNMPV3Credentials
  • AWS_MONITORING_KEY_BASED -> AWSKeyBasedCredentialsDto
  • AWS_MONITORING_ROLE_BASED -> AWSRoleBasedCredentials

ChromiumStartupFlagsDto​

Chromium startup flags of a Browser Monitor.

NameTypeDescription
autoplay-policy"no-user-gesture-required" | "document-user-activation-required"autoplay-policy type.
disable-featuresChromiumStartupFlagsDtoDisableFeaturesdisable-features map
disable-site-isolation-trialsbooleandisable-site-isolation-trials flag.
disable-web-securitybooleandisable-web-security flag. If no value is passed, it will be set to false by default.
host-resolver-rulesstringhost-resolver-rules.
ignore-certificate-errorsbooleanignore-certificate-errors flag.
ssl-version-maxstringssl-version-max.
ssl-version-minstringssl-version-min.
test-typebooleantest-type flag.

ChromiumStartupFlagsDtoDisableFeatures​

disable-features map

type: Record<string, boolean>

ClientCertificateDto​

Client certificate.

NameTypeDescription
credentialId*requiredstringCertificate CV id.
domain*requiredstringDomain certificate will be applied to.

CloudEvent​

CloudEvents is a specification for describing event data in common formats to provide interoperability across services, platforms and systems.

NameTypeDescription
dataRecord<string | any>
data_base64string
datacontenttypestring
dataschemastring
dtcontextstringDynatrace context
id*requiredstring
source*requiredstring
specversion*requiredstring
subjectstring
timeDate
traceparentstringTrace related to this event. See distributed tracing for further information.
type*requiredstring

CodeLevelVulnerabilityDetails​

The details of a code-level vulnerability.

NameTypeDescription
processGroupIdsArray<string>The list of encoded MEIdentifier of the process groups.
processGroupsArray<string>The list of affected process groups.
shortVulnerabilityLocationstringThe code location of the vulnerability without package and parameter.
type"SQL_INJECTION" | "SSRF" | "CMD_INJECTION" | "IMPROPER_INPUT_VALIDATION"The type of code level vulnerability.
vulnerabilityLocationstringThe code location of the vulnerability.
vulnerableFunctionstringThe vulnerable function of the vulnerability.
vulnerableFunctionInputVulnerableFunctionInputDescribes what got passed into the code level vulnerability.

CodeLocation​

Information about a code location.

NameTypeDescription
classNamestringThe fully qualified class name of the code location.
columnNumbernumberThe column number of the code location.
displayNamestringA human readable string representation of the code location.
fileNamestringThe file name of the code location.
functionNamestringThe function/method name of the code location.
lineNumbernumberThe line number of the code location.
parameterTypesTruncatableListStringA list of values that has possibly been truncated.
returnTypestringThe return type of the function.

Comment​

The comment to a problem.

NameTypeDescription
authorNamestringThe user who wrote the comment.
contentstringThe text of the comment.
contextstringThe context of the comment.
createdAtTimestamp*requirednumberThe timestamp of comment creation, in UTC milliseconds.
idstringThe ID of the comment.

CommentRequestDtoImpl​

NameTypeDescription
contextstringThe context of the comment.
message*requiredstringThe text of the comment.

CommentsList​

A list of comments.

NameTypeDescription
comments*requiredArray<Comment>The result entries.
nextPageKeystring

The cursor for the next page of results. Has the value of null on the last page.

Use it in the nextPageKey query parameter to obtain subsequent pages of the result.



Example: AQAAABQBAAAABQ==
pageSizenumberThe number of entries per page.
totalCount*requirednumberThe total number of entries in the result.

ComplexConstraint​

A constraint on the values accepted for a complex settings property.

NameTypeDescription
checkAllPropertiesbooleanDefines if modification of any property triggers secret resubmission check.

Example: false
customMessagestringA custom message for invalid values.
customValidatorIdstringThe ID of a custom validator.

Example: my-min-max
maximumPropertyCountnumberThe maximum number of properties that can be set.

Example: 2
minimumPropertyCountnumberThe minimum number of properties that must be set.

Example: 1
propertiesArray<string>A list of properties (defined by IDs) that are used to check the constraint.
skipAsyncValidationbooleanWhether to skip validation on a change made from the UI.

Example: false
timeoutnumberThe maximum time in seconds the custom validator is allowed to run.

Example: 5
type*required"UNKNOWN" | "CUSTOM_VALIDATOR_REF" | "GREATER_THAN" | "GREATER_THAN_OR_EQUAL" | "LESS_THAN" | "LESS_THAN_OR_EQUAL" | "PROPERTY_COUNT_RANGE" | "SECRET_RESUBMISSION"The type of the constraint.

ConfigurationMetadata​

Metadata useful for debugging

NameTypeDescription
clusterVersionstringDynatrace version.

Example: 1.192.1
configurationVersionsArray<number>A sorted list of the version numbers of the configuration.

Example: [4,2]
currentConfigurationVersionsArray<string>A sorted list of version numbers of the configuration.

Example: ["1.0.4","1.23"]

Constraint​

A constraint on the values accepted for a settings property.

NameTypeDescription
customMessagestringA custom message for invalid values.

Example: customConstraintMessage
customValidatorIdstringThe ID of a custom validator.

Example: my-min-max
disallowDangerousRegexbooleanWhether to disallow usage of dangerous regexes

Example: true
maxLengthnumberThe maximum allowed length of string values.

Example: 20
maximumnumberThe maximum allowed value.

Example: 200
minLengthnumberThe minimum required length of string values.

Example: 7
minimumnumberThe minimum allowed value.

Example: 3
patternstringThe regular expression pattern for valid string values.

Example: ^([a-z]|[0-9]|-|_|+|.)+@([a-z]|[0-9]|-){2,}.([a-z]|[0-9]|-){2,}(.[a-z]{2,})?$
skipAsyncValidationbooleanWhether to skip validation on a change made from the UI.

Example: false
timeoutnumberThe maximum time in seconds the custom validator is allowed to run.

Example: 5
type*required"UNKNOWN" | "CUSTOM_VALIDATOR_REF" | "LENGTH" | "NOT_BLANK" | "NOT_EMPTY" | "NO_WHITESPACE" | "PATTERN" | "RANGE" | "REGEX" | "TRIMMED" | "UNIQUE"The type of the constraint.

Example: UNKNOWN
uniquePropertiesArray<string>A list of properties for which the combination of values must be unique.

Example: ["my-prop-1","my-prop-2"]

ConstraintViolation​

A list of constraint violations

NameType
locationstring
messagestring
parameterLocation"HEADER" | "PATH" | "PAYLOAD_BODY" | "QUERY"
pathstring

ContainerImageComponent​

Information about component type and images registry URI.

NameTypeDescription
imageUristringRegistry URI of the container image component.
type"activegate" | "codemodules" | "database-datasource-executor" | "sql-extension-executor" | "dynatrace-sql-extension-executor" | "eec" | "logmodule" | "oneagent"Container image component type.

ContainerImageData​

Information about images registry and components with URI.

NameTypeDescription
componentsArray<ContainerImageComponent>List of container image components.
registrystringRegistry name containing container images.

CookieStepDto​

Cookie step of Browser Monitor.

NameTypeDescription
cookies*requiredArray<SyntheticMonitorCookieDto>Field containing the list of cookies.
entityIdstringEntity Id.
name*requiredstringThe name of Browser Monitor step.
type*required"CLICK" | "COOKIE" | "JAVASCRIPT" | "KEYSTROKES" | "NAVIGATE" | "SELECT_OPTION" | "TAP"

Defines the actual set of fields depending on the value. See one of the following objects:

  • NAVIGATE -> NavigateStepDto
  • CLICK -> InteractionStepDto
  • TAP -> InteractionStepDto
  • KEYSTROKES -> KeyStrokesStepDto
  • JAVASCRIPT -> JavaScriptStepDto
  • SELECT_OPTION -> SelectOptionStepDto
  • COOKIE -> CookieStepDto

CredentialAccessData​

The set of entities allowed to use the credential.

NameType
idstring
type"UNKNOWN" | "APPLICATION" | "USER"

CredentialUsageHandler​

Keeps information about credential's usage.

NameTypeDescription
countnumberThe number of uses.
typestringType of usage.

Credentials​

A set of credentials for synthetic monitors.

The actual set of fields depends on the type of credentials. Find the list of actual objects in the description of the type field or see Credential vault API - JSON models.

NameTypeDescription
allowContextlessRequestsbooleanAllow ad-hoc functions to access the credential details (requires the APP_ENGINE scope).
allowedEntitiesArray<CredentialAccessData>The set of entities allowed to use the credential.
descriptionstringA short description of the credentials set.
idstringThe ID of the credentials set.
name*requiredstringThe name of the credentials set.
ownerAccessOnlybooleanThe credentials set is available to every user (false) or to owner only (true).
scopeDEPRECATED"EXTENSION" | "SYNTHETIC" | "APP_ENGINE" | "EXTENSION_AUTHENTICATION"The scope of the credentials set.
scopes*requiredArray<"EXTENSION" | "SYNTHETIC" | "APP_ENGINE" | "EXTENSION_AUTHENTICATION">

The set of scopes of the credentials set.

Limitations: CredentialsScope.APP_ENGINE is only available on the new Dynatrace SaaS platform - it's not available on managed or non-Grail SaaS environments.

type*required"CERTIFICATE" | "PUBLIC_CERTIFICATE" | "TOKEN" | "USERNAME_PASSWORD" | "AWS_MONITORING_KEY_BASED" | "AWS_MONITORING_ROLE_BASED" | "SNMPV3"

Defines the actual set of fields depending on the value. See one of the following objects:

  • CERTIFICATE -> CertificateCredentials
  • PUBLIC_CERTIFICATE -> PublicCertificateCredentials
  • USERNAME_PASSWORD -> UserPasswordCredentials
  • TOKEN -> TokenCredentials
  • SNMPV3 -> SNMPV3Credentials
  • AWS_MONITORING_KEY_BASED -> AWSKeyBasedCredentialsDto
  • AWS_MONITORING_ROLE_BASED -> AWSRoleBasedCredentials

CredentialsDetailsCertificateResponseElement​

Details of certificate credentials set.

NameTypeDescription
certificatestringBase64 encoded certificate bytes
certificateTypestringCertificate type: PEM, PKCS12 or UNKNOWN
credentialUsageSummary*requiredArray<CredentialUsageHandler>The list contains summary data related to the use of credentials.
description*requiredstringA short description of the credentials set.
externalVaultExternalVaultConfigConfiguration for external vault synchronization for username and password credentials.
idstringThe ID of the credentials set.
name*requiredstringThe name of the credentials set.
owner*requiredstringThe owner of the credential (user for which used API token was created).
ownerAccessOnly*requiredbooleanFlag indicating that this credential is visible only to the owner.
passwordstringBase64 encoded password
scope"ALL" | "EXTENSION" | "SYNTHETIC" | "UNKNOWN"The scope of the credentials set.
type*required"CERTIFICATE" | "PUBLIC_CERTIFICATE" | "TOKEN" | "USERNAME_PASSWORD"

Defines the actual set of fields depending on the value. See one of the following objects:

  • USERNAME_PASSWORD -> CredentialsDetailsUsernamePasswordResponseElement
  • CERTIFICATE -> CredentialsDetailsCertificateResponseElement
  • TOKEN -> CredentialsDetailsTokenResponseElement
  • PUBLIC_CERTIFICATE -> CredentialsDetailsCertificateResponseElement

CredentialsDetailsList​

A list of detailed credentials sets for Synthetic monitors.

NameTypeDescription
allowPlaybackWithPrefilledCredentialsboolean
credentials*requiredArray<AbstractCredentialsResponseElement>A list of credentials sets for Synthetic monitors.

CredentialsDetailsTokenResponseElement​

Details of the token credentials set.

NameTypeDescription
credentialUsageSummary*requiredArray<CredentialUsageHandler>The list contains summary data related to the use of credentials.
description*requiredstringA short description of the credentials set.
externalVaultExternalVaultConfigConfiguration for external vault synchronization for username and password credentials.
idstringThe ID of the credentials set.
name*requiredstringThe name of the credentials set.
owner*requiredstringThe owner of the credential (user for which used API token was created).
ownerAccessOnly*requiredbooleanFlag indicating that this credential is visible only to the owner.
scope"ALL" | "EXTENSION" | "SYNTHETIC" | "UNKNOWN"The scope of the credentials set.
tokenstringPlain text token value
type*required"CERTIFICATE" | "PUBLIC_CERTIFICATE" | "TOKEN" | "USERNAME_PASSWORD"

Defines the actual set of fields depending on the value. See one of the following objects:

  • USERNAME_PASSWORD -> CredentialsDetailsUsernamePasswordResponseElement
  • CERTIFICATE -> CredentialsDetailsCertificateResponseElement
  • TOKEN -> CredentialsDetailsTokenResponseElement
  • PUBLIC_CERTIFICATE -> CredentialsDetailsCertificateResponseElement

CredentialsDetailsUsernamePasswordResponseElement​

Details of username and password credentials set.

NameTypeDescription
credentialUsageSummary*requiredArray<CredentialUsageHandler>The list contains summary data related to the use of credentials.
description*requiredstringA short description of the credentials set.
externalVaultExternalVaultConfigConfiguration for external vault synchronization for username and password credentials.
idstringThe ID of the credentials set.
name*requiredstringThe name of the credentials set.
owner*requiredstringThe owner of the credential (user for which used API token was created).
ownerAccessOnly*requiredbooleanFlag indicating that this credential is visible only to the owner.
passwordstringPlain text password value
scope"ALL" | "EXTENSION" | "SYNTHETIC" | "UNKNOWN"The scope of the credentials set.
type*required"CERTIFICATE" | "PUBLIC_CERTIFICATE" | "TOKEN" | "USERNAME_PASSWORD"

Defines the actual set of fields depending on the value. See one of the following objects:

  • USERNAME_PASSWORD -> CredentialsDetailsUsernamePasswordResponseElement
  • CERTIFICATE -> CredentialsDetailsCertificateResponseElement
  • TOKEN -> CredentialsDetailsTokenResponseElement
  • PUBLIC_CERTIFICATE -> CredentialsDetailsCertificateResponseElement
usernamestringPlain text username value

CredentialsId​

A short representation of the credentials set.

NameTypeDescription
id*requiredstringThe ID of the credentials set.

CredentialsList​

A list of credentials sets for Synthetic monitors.

NameTypeDescription
credentials*requiredArray<CredentialsResponseElement>A list of credentials sets for Synthetic monitors.
nextPageKeystring
pageSizenumber
totalCountnumber

CredentialsResponseElement​

Metadata of the credentials set.

NameTypeDescription
allowContextlessRequestsbooleanAllow access without app context, for example, from ad hoc functions in Workflows (requires the APP_ENGINE scope).
allowedEntities*requiredArray<CredentialAccessData>The set of entities allowed to use the credential.
credentialUsageSummary*requiredArray<CredentialUsageHandler>The list contains summary data related to the use of credentials.
description*requiredstringA short description of the credentials set.
externalVaultExternalVaultConfigConfiguration for external vault synchronization for username and password credentials.
idstringThe ID of the credentials set.
name*requiredstringThe name of the credentials set.
owner*requiredstringThe owner of the credential (user for which used API token was created).
ownerAccessOnly*requiredbooleanFlag indicating that this credential is visible only to the owner.
scope"EXTENSION" | "SYNTHETIC" | "APP_ENGINE" | "EXTENSION_AUTHENTICATION"The scope of the credentials set.
scopesArray<"EXTENSION" | "SYNTHETIC" | "APP_ENGINE" | "EXTENSION_AUTHENTICATION">The set of scopes of the credentials set.
type*required"UNKNOWN" | "CERTIFICATE" | "PUBLIC_CERTIFICATE" | "TOKEN" | "USERNAME_PASSWORD" | "AWS_MONITORING_KEY_BASED" | "AWS_MONITORING_ROLE_BASED" | "SNMPV3"The type of the credentials set.

CustomApplicationImpact​

Analysis of problem impact to a custom application.

NameTypeDescription
estimatedAffectedUsers*requirednumberThe estimated number of affected users.
impactType*required"APPLICATION" | "CUSTOM_APPLICATION" | "MOBILE" | "SERVICE"

Defines the actual set of fields depending on the value. See one of the following objects:

  • SERVICE -> ServiceImpact
  • APPLICATION -> ApplicationImpact
  • MOBILE -> MobileImpact
  • CUSTOM_APPLICATION -> CustomApplicationImpact
impactedEntity*requiredEntityStubA short representation of a monitored entity.

CustomDeviceCreation​

Configuration of a custom device.

NameTypeDescription
configUrlstringThe URL of a configuration web page for the custom device, such as a login page for a firewall or router.
customDeviceId*requiredstring

The internal ID of the custom device.

If you use the ID of an existing device, the respective parameters will be updated.

displayName*requiredstringThe name of the custom device to be displayed in the user interface.
dnsNamesArray<string>

The list of DNS names related to the custom device.

These names are used to automatically discover the horizontal communication relationship between this component and all other observed components within Smartscape. Once a connection is discovered, it is automatically mapped and shown within Smartscape.

Non-public DNS addresses can also be mapped internally. This is applicable only if the domain name consists of at least two parts, for example hostname.xyz.

If you send a value, the existing values will be overwritten.

If you send null or an empty value; or omit this field, the existing values will be kept.

faviconUrlstringThe icon to be displayed for your custom component within Smartscape. Provide the full URL of the icon file.
groupstring

User defined group ID of entity.

The group ID helps to keep a consistent picture of device-group relations. One of many cases where a proper group is important is service detection: you can define which custom devices should lead to the same service by defining the same group ID for them.

If you set a group ID, it will be hashed into the Dynatrace entity ID of the custom device. In that case the custom device can only be part of one custom device group.

If you don't set the group ID, Dynatrace will create it based on the ID or type of the custom device. Also, the group will not be hashed into the device ID which means the device may switch groups.

ipAddressesArray<string>

The list of IP addresses that belong to the custom device.

These addresses are used to automatically discover the horizontal communication relationship between this component and all other observed components within Smartscape. Once a connection is discovered, it is automatically mapped and shown within Smartscape.

If you send a value (including an empty value), the existing values will be overwritten.

If you send null or omit this field, the existing values will be kept.

listenPortsArray<number>

The list of ports the custom devices listens to.

These ports are used to discover the horizontal communication relationship between this component and all other observed components within Smartscape.

Once a connection is discovered, it is automatically mapped and shown within Smartscape.

If ports are specified, you should also add at least one IP address or a DNS name for the custom device.

If you send a value, the existing values will be overwritten.

If you send null, or an empty value, or omit this field, the existing values will be kept.

propertiesCustomDeviceCreationPropertiesThe list of key-value pair properties that will be shown beneath the infographics of your custom device.
typestring

The technology type definition of the custom device.

It must be the same technology type of the metric you're reporting.

If you send a value, the existing value will be overwritten.

If you send null, empty or omit this field, the existing value will be kept.

CustomDeviceCreationProperties​

The list of key-value pair properties that will be shown beneath the infographics of your custom device.

type: Record<string, string>

CustomDeviceCreationResult​

The short representation of a newly created custom device.

NameTypeDescription
entityIdstringThe Dynatrace entity ID of the custom device.
groupIdstringThe Dynatrace entity ID of the custom device group.

CustomEntityTags​

A list of custom tags.

NameTypeDescription
tags*requiredArray<METag>A list of custom tags.
totalCountnumberThe total number of tags in the response.

CustomLogLine​

A custom script log line

NameTypeDescription
logLevelstringLog level of the message
messagestringThe message
timestampnumberA timestamp of this log message

CyberArkAllowedLocationConfig​

Configuration for external vault synchronization for username and password credentials.

NameTypeDescription
accountNamestring
applicationIdstring
certificatestring
credentialsUsedForExternalSynchronizationArray<string>
folderNamestring
passwordSecretNamestring
safeNamestring
sourceAuthMethod"AZURE_KEY_VAULT_CLIENT_SECRET" | "CYBERARK_VAULT_ALLOWED_LOCATION" | "CYBERARK_VAULT_USERNAME_PASSWORD" | "HASHICORP_VAULT_APPROLE" | "HASHICORP_VAULT_CERTIFICATE"

Defines the actual set of fields depending on the value. See one of the following objects:

  • HASHICORP_VAULT_APPROLE -> HashicorpApproleConfig
  • HASHICORP_VAULT_CERTIFICATE -> HashicorpCertificateConfig
  • AZURE_KEY_VAULT_CLIENT_SECRET -> AzureClientSecretConfig
  • CYBERARK_VAULT_USERNAME_PASSWORD -> CyberArkUsernamePasswordConfig
  • CYBERARK_VAULT_ALLOWED_LOCATION -> CyberArkAllowedLocationConfig
tokenSecretNamestring
type"AZURE_CERTIFICATE_MODEL" | "AZURE_CLIENT_SECRET_MODEL" | "CYBERARK_VAULT_ALLOWED_LOCATION_MODEL" | "CYBERARK_VAULT_USERNAME_PASSWORD_MODEL" | "HASHICORP_APPROLE_MODEL" | "HASHICORP_CERTIFICATE_MODEL"
usernameSecretNamestring
vaultUrlstring

CyberArkAllowedLocationDto​

Synchronization credentials with CyberArk Vault using allowed machines (location) authentication method.

NameTypeDescription
accountName*requiredstringAccount name that stores the username and password to retrieve and synchronize with the Dynatrace Credential Vault: This is NOT the name of the account logged into the CyberArk Central Credential Provider.
applicationId*requiredstringApplication ID connected to CyberArk Vault.
certificatestring[Recommended] Certificate used for authentication to CyberArk application. ID of certificate credential saved in Dynatrace CV.
folderNamestring[Optional] Folder name where credentials in CyberArk Vault are stored. Default folder name is 'Root'.
locationForSynchronizationIdstringId of a location used by the synchronizing monitor
passwordSecretNamestringThe name of the secret saved in external vault where password is stored.
safeName*requiredstringSafe name connected to CyberArk Vault.
sourceAuthMethod"AZURE_KEY_VAULT_CLIENT_SECRET" | "CYBERARK_VAULT_ALLOWED_LOCATION" | "CYBERARK_VAULT_USERNAME_PASSWORD" | "HASHICORP_VAULT_APPROLE" | "HASHICORP_VAULT_CERTIFICATE"

Defines the actual set of fields depending on the value. See one of the following objects:

  • HASHICORP_VAULT_APPROLE -> HashicorpApprole
  • HASHICORP_VAULT_CERTIFICATE -> HashicorpCertificate
  • AZURE_KEY_VAULT_CLIENT_SECRET -> AzureClientSecret
  • CYBERARK_VAULT_USERNAME_PASSWORD -> CyberArkUsernamePassword
  • CYBERARK_VAULT_ALLOWED_LOCATION -> CyberArkAllowedLocationDto
tokenSecretNamestringThe name of the secret saved in external vault where token is stored.
usernameSecretNamestringThe name of the secret saved in external vault where username is stored.
vaultUrlstringExternal vault URL.

CyberArkUsernamePassword​

Synchronization credentials with CyberArk Vault using username password authentication method.

NameTypeDescription
accountName*requiredstringAccount name that stores the username and password to retrieve and synchronize with the Dynatrace Credential Vault: This is NOT the name of the account logged into the CyberArk Central Credential Provider.
applicationId*requiredstringApplication ID connected to CyberArk Vault.
certificatestring[Recommended] Certificate used for authentication to CyberArk application. ID of certificate credential saved in Dynatrace CV.
folderNamestring[Optional] Folder name where credentials in CyberArk Vault are stored. Default folder name is 'Root'.
locationForSynchronizationIdstringId of a location used by the synchronizing monitor
passwordSecretNamestringThe name of the secret saved in external vault where password is stored.
safeName*requiredstringSafe name connected to CyberArk Vault.
sourceAuthMethod"AZURE_KEY_VAULT_CLIENT_SECRET" | "CYBERARK_VAULT_ALLOWED_LOCATION" | "CYBERARK_VAULT_USERNAME_PASSWORD" | "HASHICORP_VAULT_APPROLE" | "HASHICORP_VAULT_CERTIFICATE"

Defines the actual set of fields depending on the value. See one of the following objects:

  • HASHICORP_VAULT_APPROLE -> HashicorpApprole
  • HASHICORP_VAULT_CERTIFICATE -> HashicorpCertificate
  • AZURE_KEY_VAULT_CLIENT_SECRET -> AzureClientSecret
  • CYBERARK_VAULT_USERNAME_PASSWORD -> CyberArkUsernamePassword
  • CYBERARK_VAULT_ALLOWED_LOCATION -> CyberArkAllowedLocationDto
tokenSecretNamestringThe name of the secret saved in external vault where token is stored.
usernamePasswordForCPM*requiredstringDynatrace credential ID of the username-password pair used for authentication to the CyberArk Central Credential Provider
usernameSecretNamestringThe name of the secret saved in external vault where username is stored.
vaultUrlstringExternal vault URL.

CyberArkUsernamePasswordConfig​

Configuration for external vault synchronization for username and password credentials.

NameTypeDescription
accountNamestring
applicationIdstring
certificatestring
credentialsUsedForExternalSynchronizationArray<string>
folderNamestring
passwordSecretNamestring
safeNamestring
sourceAuthMethod"AZURE_KEY_VAULT_CLIENT_SECRET" | "CYBERARK_VAULT_ALLOWED_LOCATION" | "CYBERARK_VAULT_USERNAME_PASSWORD" | "HASHICORP_VAULT_APPROLE" | "HASHICORP_VAULT_CERTIFICATE"

Defines the actual set of fields depending on the value. See one of the following objects:

  • HASHICORP_VAULT_APPROLE -> HashicorpApproleConfig
  • HASHICORP_VAULT_CERTIFICATE -> HashicorpCertificateConfig
  • AZURE_KEY_VAULT_CLIENT_SECRET -> AzureClientSecretConfig
  • CYBERARK_VAULT_USERNAME_PASSWORD -> CyberArkUsernamePasswordConfig
  • CYBERARK_VAULT_ALLOWED_LOCATION -> CyberArkAllowedLocationConfig
tokenSecretNamestring
type"AZURE_CERTIFICATE_MODEL" | "AZURE_CLIENT_SECRET_MODEL" | "CYBERARK_VAULT_ALLOWED_LOCATION_MODEL" | "CYBERARK_VAULT_USERNAME_PASSWORD_MODEL" | "HASHICORP_APPROLE_MODEL" | "HASHICORP_CERTIFICATE_MODEL"
usernamePasswordForCPMstring
usernameSecretNamestring
vaultUrlstring

DatasourceDefinition​

Configuration of a datasource for a property.

NameTypeDescription
filterProperties*requiredArray<string>The properties to filter the datasource options on.
fullContext*requiredbooleanWhether this datasource expects full setting payload as the context.
identifier*requiredstringThe identifier of a custom data source of the property's value.
resetValue"ALWAYS" | "INVALID_ONLY" | "NEVER"When to reset datasource value in the UI on filter change.
useApiSearch*requiredbooleanIf true, the datasource should use the api to filter the results instead of client-side filtering.
validate*requiredbooleanWhether to validate input to only allow values returned by the datasource.

DavisSecurityAdvice​

Security advice from the Davis security advisor.

NameTypeDescription
adviceType"UPGRADE"The type of the advice.
criticalArray<string>IDs of critical level security problems caused by vulnerable component.
highArray<string>IDs of high level security problems caused by vulnerable component.
lowArray<string>IDs of low level security problems caused by vulnerable component.
mediumArray<string>IDs of medium level security problems caused by vulnerable component.
namestringThe name of the advice.
noneArray<string>IDs of none level security problems caused by vulnerable component.
technology"KUBERNETES" | "DOTNET" | "GO" | "JAVA" | "NODE_JS" | "PHP" | "PYTHON"The technology of the vulnerable component.
vulnerableComponentstringThe vulnerable component to which advice applies.

DavisSecurityAdviceList​

A list of advice from the Davis security advisor.

NameTypeDescription
advicesArray<DavisSecurityAdvice>
nextPageKeystring

The cursor for the next page of results. Has the value of null on the last page.

Use it in the nextPageKey query parameter to obtain subsequent pages of the result.



Example: AQAAABQBAAAABQ==
pageSizenumberThe number of entries per page.
totalCount*requirednumberThe total number of entries in the result.

DeletedEntityTags​

Deleted custom tag.

NameTypeDescription
matchedEntitiesCountnumberThe number of monitored entities where the tag has been deleted.

DeletionConstraint​

A constraint on the values that are going to be deleted.

NameTypeDescription
customMessagestringA custom message for invalid values.
customValidatorIdstringThe ID of a custom validator.

Example: my-min-max
schemaIdsArray<string>
timeoutnumberThe maximum time in seconds the custom validator is allowed to run.

Example: 5
type*required"UNKNOWN" | "CUSTOM_VALIDATOR_REF" | "REFERENTIAL_INTEGRITY"The type of the deletion constraint.

Duration​

Defines a period of time.

NameTypeDescription
unit"DAYS" | "HOURS" | "MILLIS" | "MINUTES" | "SECONDS"

The unit of time.

If not set, millisecond is used.

value*requirednumberThe amount of time.

EffectivePermission​

NameTypeDescription
contextPermissionContextOptional context data
granted*required"condition" | "false" | "true"
permission*requiredstringExample: settings:objects:write

EffectiveSettingsValue​

An effective settings value.

NameTypeDescription
authorstringThe user (identified by a user ID or a public token ID) who performed that most recent modification.

Example: john.doe@example.com
creatednumberThe timestamp of the creation.
externalIdstringThe external identifier of the settings object.
modifiednumberThe timestamp of the last modification.
originstringThe origin of the settings value.

Example: HOST-D3A3C5A146830A79
schemaIdstringThe schema on which the object is based.

Example: builtin:container.built-in-monitoring-rule
schemaVersionstringThe version of the schema on which the object is based.

Example: 1.0.0
searchSummarystringA searchable summary string of the setting value. Plain text without Markdown.
summarystringA short summary of settings. This can contain Markdown and will be escaped accordingly.
valueAnyValue

The value of the setting.

It defines the actual values of settings' parameters.

The actual content depends on the object's schema.



Example: {"autoMonitoring":true}

EffectiveSettingsValuesList​

A list of effective settings values.

NameTypeDescription
items*requiredArray<EffectiveSettingsValue>A list of effective settings values.
nextPageKeystring

The cursor for the next page of results. Has the value of null on the last page.

Use it in the nextPageKey query parameter to obtain subsequent pages of the result.



Example: AQAAABQBAAAABQ==
pageSize*requirednumberThe number of entries per page.
totalCount*requirednumberThe total number of entries in the result.

EnablementDto​

Browser monitor enablement settings.

NameTypeDescription
enableOnGrail*requiredbooleanEnable 3rd gen JS agent reporting. Relevant only for grail-enabled SaaS environments.
origin"UNKNOWN" | "DEFAULT" | "MONITOR" | "TENANT"Indicates the origin of these settings.

EnrichedManagementZoneDto​

NameTypeDescription
idstringThe ID of the management zone.
namestringThe name of the management zone.
sourceSettingstringThe path to the settings object in the Settings API.

EnrichedTagDto​

NameTypeDescription
contextstring

The origin of the tag, such as AWS or Cloud Foundry.

Custom tags use the CONTEXTLESS value.

keystringThe key of the tag.
sourcestring

The source where the tag comes from. Possible values are:

  • Auto tags
  • Environment tags
  • User provided tags
sourceSettingstringThe path to the settings object in the Settings API. Only available for tags with the Auto tags source.
stringRepresentationstringThe string representation of the tag.
valuestringThe value of the tag.

EntitiesList​

A list of monitored entities along with their properties.

NameTypeDescription
entitiesArray<Entity>A list of monitored entities.
nextPageKeystring

The cursor for the next page of results. Has the value of null on the last page.

Use it in the nextPageKey query parameter to obtain subsequent pages of the result.



Example: AQAAABQBAAAABQ==
pageSizenumberThe number of entries per page.
totalCount*requirednumberThe total number of entries in the result.

Entity​

The properties of a monitored entity.

NameTypeDescription
displayNamestringThe name of the entity, displayed in the UI.
entityIdstringThe ID of the entity.
firstSeenTmsnumberThe timestamp at which the entity was first seen, in UTC milliseconds.
fromRelationshipsEntityFromRelationshipsA list of relationships where the entity occupies the FROM position.
iconEntityIconThe icon of a monitored entity.
lastSeenTmsnumberThe timestamp at which the entity was last seen, in UTC milliseconds.
managementZonesArray<EnrichedManagementZoneDto>A set of management zones to which the entity belongs.
propertiesEntityPropertiesA list of additional properties of the entity.
tagsArray<EnrichedTagDto>A set of tags assigned to the entity.
toRelationshipsEntityToRelationshipsA list of relationships where the entity occupies the TO position.
typestringThe type of the entity.

EntityFromRelationships​

A list of relationships where the entity occupies the FROM position.

type: Record<string, EntityId[]>

EntityIcon​

The icon of a monitored entity.

NameTypeDescription
customIconPathstring

The user-defined icon of the entity.

Specify the barista ID of the icon or a URL of your own icon.

primaryIconTypestring

The primary icon of the entity.

Specified by the barista ID of the icon.

secondaryIconTypestring

The secondary icon of the entity.

Specified by the barista ID of the icon.

EntityId​

A short representation of a monitored entity.

NameTypeDescription
idstringThe ID of the entity.
typestringThe type of the entity.

EntityProperties​

A list of additional properties of the entity.

type: Record<string, any>

EntityShortRepresentation​

The short representation of a Dynatrace entity.

NameTypeDescription
descriptionstringA short description of the Dynatrace entity.
id*requiredstringThe ID of the Dynatrace entity.
namestringThe name of the Dynatrace entity.

EntityStub​

A short representation of a monitored entity.

NameTypeDescription
entityIdEntityIdA short representation of a monitored entity.
namestring

The name of the entity.

Not included in the response in case no entity with the relevant ID was found.

EntityToRelationships​

A list of relationships where the entity occupies the TO position.

type: Record<string, EntityId[]>

EntityType​

A list of properties of the monitored entity type.

NameTypeDescription
dimensionKeystringThe dimension key used within metrics for this monitored entity.
displayNamestringThe display name of the monitored entity.
entityLimitExceededbooleanIndicates whether the entity creation limit for this type has been exceeded. When true, Dynatrace automatically triggers a cleanup process for this entity type. New entities will still be created, and no action is required. This applies only for builtin-types. For generic types creation and update gets blocked. You can recognize a generic type by containing ':' in the name for example my:type.
fromRelationshipsArray<ToPosition>A list of possible relationships where the monitored entity type occupies the FROM position
managementZonesstringThe placeholder for the list of management zones of an actual entity.
propertiesArray<EntityTypePropertyDto>A list of additional properties of the monitored entity type.
tagsstringThe placeholder for the list of tags of an actual entity.
toRelationshipsArray<FromPosition>A list of possible relationships where the monitored entity type occupies the TO position.
typestringThe type of the monitored entity.

EntityTypeList​

A list of properties of all available entity types.

NameTypeDescription
nextPageKeystring

The cursor for the next page of results. Has the value of null on the last page.

Use it in the nextPageKey query parameter to obtain subsequent pages of the result.



Example: AQAAABQBAAAABQ==
pageSizenumberThe number of entries per page.
totalCount*requirednumberThe total number of entries in the result.
typesArray<EntityType>The list of meta information for all available entity-types

EntityTypePropertyDto​

The property of a monitored entity.

NameTypeDescription
displayNamestringThe display-name of the property.

Example: cpu cores
idstringThe ID of the property.

Example: cpuCores
typestringThe type of the property.

Example: Number

EntryPoint​

Information about an entry point of a code-level vulnerability.

NameTypeDescription
sourceHttpPathstringSource HTTP path of entry points.
usageSegmentsArray<EntryPointUsageSegment>List of entry point usage segments.

EntryPointUsageSegment​

Describes one segment that was passed into a usage and the associated source name and type.

NameTypeDescription
segmentType"MALICIOUS_INPUT" | "REGULAR_INPUT" | "TAINTED_INPUT"The type of this input segment.
segmentValuestringThe value of this input segment.
sourceArgumentNamestringThe name used in the source for this segment.
sourceType"UNKNOWN" | "HTTP_BODY" | "HTTP_COOKIE" | "HTTP_HEADER_NAME" | "HTTP_HEADER_VALUE" | "HTTP_OTHER" | "HTTP_PARAMETER_NAME" | "HTTP_PARAMETER_VALUE" | "HTTP_URL"The type of the HTTP request part that contains the value that was used in this segment.

EntryPoints​

A list of entry points and a flag which indicates whether this list was truncated or not.

NameTypeDescription
itemsArray<EntryPoint>A list of entry points.
truncatedbooleanIndicates whether the list of entry points was truncated or not.

EntrypointPayload​

Describes a payload sent to an entrypoint during an attack.

NameTypeDescription
namenull | stringName of the payload, if applicable.
type"UNKNOWN" | "HTTP_BODY" | "HTTP_COOKIE" | "HTTP_HEADER_NAME" | "HTTP_HEADER_VALUE" | "HTTP_OTHER" | "HTTP_PARAMETER_NAME" | "HTTP_PARAMETER_VALUE" | "HTTP_URL"Type of the payload.
valuestringValue of the payload.

EnumType​

Definition of an enum property.

NameTypeDescription
description*requiredstringA short description of the property.

Example: typeDescription
displayNamestringThe display name of the property.

Example: typeDisplayName
documentation*requiredstringAn extended description and/or links to documentation.

Example: typeDocumentation
enumClassstringAn existing Java enum class that holds the allowed values of the enum.

Example: enumClass
items*requiredArray<EnumValue>A list of allowed values of the enum.
type*required"enum"The type of the property.

Example: enum

EnumValue​

An allowed value for an enum property.

NameTypeDescription
descriptionstringA short description of the value.

Example: exampleDescription
displayName*requiredstringThe display name of the value.

Example: exampleDisplayName
enumInstancestringThe name of the value in an existing Java enum class.

Example: exampleJavaEnumValue
iconstringThe icon of the value.

Example: checkmark
value*requiredAnyValueThe allowed value of the enum.

Example: exampleValue

Error​

NameTypeDescription
codenumberThe HTTP status code
constraintViolationsArray<ConstraintViolation>A list of constraint violations
messagestringThe error message

ErrorEnvelope​

NameType
errorError

Event​

Configuration of an event.

NameTypeDescription
correlationIdstringThe correlation ID of the event.

Example: 933613657e1c8fcf
endTimenumber

The timestamp when the event was closed, in UTC milliseconds.

Has the value of null if the event is still active.



Example: 1564039524182
entityIdEntityStubA short representation of a monitored entity.
entityTagsArray<METag>A list of tags of the related entity.
eventIdstringThe ID of the event.

Example: 4293884258445543163_1564039524182
eventTypestringThe type of the event.

Example: LOW_DISK_SPACE
frequentEventboolean

[...]
